Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_Op_Activate Class Reference

Activation Operation. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op_Activate:

[legend]
Collaboration diagram for TAO_IMR_Op_Activate:

[legend]
List of all members.

## Public Methods

virtual int | parse (int argc, ACE_TCHAR **argv)
| Parse arguments.
virtual int | run (void)
| Do the work.

## Protected Methods

void | print_usage (void)
| Prints a message about the usage.

## Protected Attributes

ACE_CString | server_name_
| POA server name.
ACE_CString | activator_
| The name of the activator.

## Detailed Description

Activation Operation.

Activation is used to start servers via the Implementation Repository

## Member Function Documentation

int TAO_IMR_Op_Activate::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[virtual]`

| Parse arguments. Implements TAO_IMR_Op.

void TAO_IMR_Op_Activate::print_usage | ( | void |  | ) | `[protected]`

| Prints a message about the usage.

int TAO_IMR_Op_Activate::run | ( | void |  | ) | `[virtual]`

| Do the work. Implements TAO_IMR_Op.

## Member Data Documentation

ACE_CString TAO_IMR_Op_Activate::activator_`[protected]`

| The name of the activator.

ACE_CString TAO_IMR_Op_Activate::server_name_`[protected]`

| POA server name.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp